Subject: bug#9684: Emacs 23.3 and 24.0.90 don't build on IRIX 6.5

From: Rainer Orth <[email-masked]>
Date: Thu, 06 Oct 2011 16:19:30 +0200

I've recently tried to build current emacs versions on IRIX 6.5
(6.5.30f, actually), but always failed in the same way.

The latest attempt was like this:

* Configure emacs 24.0.90 with

  /vol/src/gnu/emacs/emacs-24.0.90/configure --prefix=/vol/gnu --infodir=/vol/gnu/info --mandir=/vol/gnu/man --libexecdir=/vol/gnu/lib --localstatedir=/vol/gnu/share/emacs/var --with-xpm=no --with-jpeg=no --with-png=no --with-gif=no --with-tiff=no

* Build it with gcc 4.6.0 with make -j8.

  The C part of the build complete successfully, but then it fails like
  this:

Dumping under the name emacs
41988 pure bytes used
cd ../lisp; make -w --jobserver-fds=3,4 - --jobserver-fds=3,4 -j compile-first EMACS=/vol/obj/gnu/emacs/emacs-24.0.90/src/bootstrap-emacs
make[2]: Entering directory `/vol/obj/gnu/emacs/emacs-24.0.90/lisp'
make[2]: Nothing to be done for `compile-first'.
make[2]: Leaving directory `/vol/obj/gnu/emacs/emacs-24.0.90/lisp'
cd ../lisp; make -w --jobserver-fds=3,4 - --jobserver-fds=3,4 -j autoloads EMACS=/vol/obj/gnu/emacs/emacs-24.0.90/src/bootstrap-emacs
make[2]: Entering directory `/vol/obj/gnu/emacs/emacs-24.0.90/lisp'
Compiling /vol/src/gnu/emacs/emacs-24.0.90/src/../lisp/emacs-lisp/backquote.el
emacs: Invalid function: make-local-variable
make[2]: *** [compile-onefile] Error 1
make[2]: Leaving directory `/vol/obj/gnu/emacs/emacs-24.0.90/lisp'

I have no idea what might cause this; emacs 23.2 built fine and mostly
works.  For emacs 23.3, I tried several variations:

* build with gcc 4.4.2

* build with gcc -g3 -O0 instead of the default -g -O2

* build with SGI MIPSpro cc 7.4.4m

None of those makes a difference.

	Rainer

-- 
-----------------------------------------------------------------------------
Rainer Orth, Center for Biotechnology, Bielefeld University